Get the checkpoints for a pipeline
Retrieve the current checkpoints made by a pipeline.
Stability note: for multihost pipelines, this endpoint returns the
combined checkpoint list from all hosts. The shape of this response may
change in a future release.
| Path Parameters |
|---|
pipeline_name string — REQUIRED |
| Responses |
|---|
200
Checkpoints retrieved successfully. For multihost pipelines the list contains entries from all hosts; the shape of this response may change in a future release. | Schema — OPTIONAL |
|---|
object[]fingerprint int64Fingerprint of the circuit at the time of the checkpoint. | identifier string — OPTIONALAn optional name for the checkpoint. | processed_records int64 — OPTIONALTotal number of records processed. | size int64 — OPTIONALTotal size of the checkpoint files in bytes. | steps int64 — OPTIONALTotal number of steps made. | uuid uuidA unique identifier for the given checkpoint. This is used to identify the checkpoint in the file-system hierarchy. |
|
|
404
Pipeline with that name does not exist | Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|
| Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|
| Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|